#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_quitButton_clicked();

    void on_resetButton_clicked();

    void on_predictButton_clicked();

    void on_helpButton_clicked();

    void on_celsiusButton_released();

    void on_kelvinButton_released();

    void on_farenheitButton_released();

    void on_charpyButton_released();

    void on_fracturetoughnessButton_released();

    void on_OnlineDataButton_clicked();

    void on_datafileButton_clicked();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
